Agora RTC Objective-C API Reference Refactor

AgoraLocalSpatialAudioKit Class Reference

Inherits AgoraBaseSpatialAudioKit.

## Method Documentation

## ◆ sharedLocalSpatialAudioWithConfig:

+ (instancetype _Nonnull) sharedLocalSpatialAudioWithConfig: |  | (AgoraLocalSpatialAudioConfig *_Nonnull) | config |

## ◆ destroy

+ (void) destroy |  |  |

## ◆ updateRemotePosition:positionInfo:

- (int) updateRemotePosition: |  | (NSUInteger) | uid
positionInfo: |  | (AgoraRemoteVoicePositionInfo *_Nonnull) | posInfo

## ◆ updateRemotePositionEx:positionInfo:connection:

- (int) updateRemotePositionEx: |  | (NSUInteger) | uid
positionInfo: |  | (AgoraRemoteVoicePositionInfo *_Nonnull) | posInfo
connection: |  | (AgoraRtcConnection *_Nonnull) | connection

## ◆ removeRemotePosition:

- (int) removeRemotePosition: |  | (NSUInteger) | uid |

## ◆ removeRemotePositionEx:connection:

- (int) removeRemotePositionEx: |  | (NSUInteger) | uid
connection: |  | (AgoraRtcConnection *_Nonnull) | connection

## ◆ clearRemotePositions

- (int) clearRemotePositions |  |  |

## ◆ clearRemotePositionsEx:

- (int) clearRemotePositionsEx: |  | (AgoraRtcConnection *_Nonnull) | connection |

## ◆ setRemoteAudioAttenuation:userId:forceSet:

- (int) setRemoteAudioAttenuation: |  | (double) | attenuation
userId: |  | (NSUInteger) | uid
forceSet: |  | (BOOL) | forceSet

## ◆ setMaxAudioRecvCount:

- (int) setMaxAudioRecvCount: |  | (NSUInteger) | maxCount |

## ◆ setAudioRecvRange:

- (int) setAudioRecvRange: |  | (float) | range |

## ◆ setDistanceUnit:

- (int) setDistanceUnit: |  | (float) | unit |

## ◆ updatePlayerPositionInfo:positionInfo:

- (int) updatePlayerPositionInfo: |  | (NSInteger) | playerId
positionInfo: |  | (AgoraRemoteVoicePositionInfo *_Nonnull) | positionInfo

## ◆ updateSelfPosition:axisForward:axisRight:axisUp:

- (int) updateSelfPosition: |  | (NSArray< NSNumber * > *_Nonnull) | position
axisForward: |  | (NSArray< NSNumber * > *_Nonnull) | axisForward
axisRight: |  | (NSArray< NSNumber * > *_Nonnull) | axisRight
axisUp: |  | (NSArray< NSNumber * > *_Nonnull) | axisUp

## ◆ updateSelfPositionEx:axisForward:axisRight:axisUp:connection:

- (int) updateSelfPositionEx: |  | (NSArray< NSNumber * > *_Nonnull) | position
axisForward: |  | (NSArray< NSNumber * > *_Nonnull) | axisForward
axisRight: |  | (NSArray< NSNumber * > *_Nonnull) | axisRight
axisUp: |  | (NSArray< NSNumber * > *_Nonnull) | axisUp
connection: |  | (AgoraRtcConnection *_Nonnull) | connection

## ◆ setZones:

- (int) setZones: |  | (NSArray< AgoraSpatialAudioZone * > *_Nullable) | zones |

## ◆ setPlayerAttenuation:playerId:forceSet:

- (int) setPlayerAttenuation: |  | (double) | attenuation
playerId: |  | (NSUInteger) | playerId
forceSet: |  | (BOOL) | forceSet